Subject: bug#15620: closed (Re: bug#15620: guile 2.0.9 make check error, in bit-operations.test, elisp-compiler.test and eval-string.test)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Jun 2016 11:52:02 +0000

Your bug report

#15620: guile 2.0.9 make check error, in bit-operations.test, elisp-compiler.test and eval-string.test

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15620: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15620
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15620: guile 2.0.9 make check error, in bit-operations.test, elisp-compiler.test and eval-string.test
From: Andy Wingo <[email-masked]>
To: [email-masked]
Date: Tue, 21 Jun 2016 13:51:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

close
thanks

On Tue 21 Jun 2016 13:24, Andy Wingo <[email-masked]> writes:

> Hi Frank,
>
> Closing this one due to lack of information.  If you find a compile
> failure with icc on Guile 2.0.11 or 2.1.3, please open a new report.
> Thanks :)
>
> Andy
>
> On Thu 24 Oct 2013 06:20, Ian Price <[email-masked]> writes:
>
>> "" <[email-masked]> writes:
>>
>>> Thanks, Ian.
>>>  
>>> For me compiling guile is just to satisfy a dependency of another
>>> software. I am really not 
>>> familiar with guile. 
>>>  
>>>>(use-modules (ice-9 documentation))
>>>>(object-documentation extract)
>>> Do you mean a file in the compiling-folder/module/ice-9? I have no
>>> idea which one will be. 
>>> All files in such folder are compressed and attached. Also attached is
>>> install script and logs.
>>
>> I mean, run guile, and enter those two forms at the prompt, followed by
>> return. Since this is the code in the test that gives an error, you
>> should hopefully get an error here too. Then you can use the command ,bt
>> to get a backtrace.

Subject: guile 2.0.9 make check error, in bit-operations.test, elisp-compiler.test and eval-string.test
From: "" <[email-masked]>
To: bug-guile <[email-masked]>, guile-user <[email-masked]>
Date: Tue, 15 Oct 2013 17:05:05 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, dear all.

When I am compiling guile 2.0.9 with Intel c compiler (icc, version 13.1.0 20130121), some errors occur. But I could not
figure it out. Could anybody help me?

The compiling is invoked by a script (install-guile_2.0.9.sh, attached) as below:
    bash-4.1$ sh install-guile_2.0.9.sh >install.output 2>&1 
Its output, install.output, and other two logs are also attached.

The first error emerges at line 1802 in install.output, which reads:
ERROR: bit-operations.test: bit-extract: documented? - arguments: ((keyword-argument-error #<procedure open-input-file (file #:key binary encoding guess-encoding)> "Invalid keyword" () #f)) 

There are 4 UNRESOLVED messages about elisp-compiler.test, and 3 errors about eval-string.test.

Could anyone help? Thanks.

Frank